# frozen_string_literal: true

require "is/inspectable"

require_relative "../strategy"

module Core
  module Watch
    module Strategies
      # [public] Identifies a path by modified time.
      #
      class Timestamp
        include Is::Inspectable

        # [public]
        #
        def identify(path)
          path.mtime
        end
      end
    end
  end
end
