# frozen_string_literal: true

require "is/inspectable"

module Core
  module Watch
    # [public] Abstract strategy for uniquely identifying a path.
    #
    class Strategy
      include Is::Inspectable

      # [public]
      #
      def identify(path)
        raise "unimplemented"
      end
    end
  end
end
